org.apache.activemq.artemis.spi.core.protocol

## Class AbstractProtocolManager<P,I extends BaseInterceptor<P>,C extends RemotingConnection>

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.protocol.AbstractProtocolManager<P,I,C>

- All Implemented Interfaces:
    ProtocolManager<I>

      public abstract class AbstractProtocolManager<P,I extends BaseInterceptor<P>,C extends RemotingConnection>
      extends Object
      implements ProtocolManager<I>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProtocolManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<SimpleString,RoutingType>` | `getPrefixes()`
    `protected void` | `invokeInterceptors(List<I> interceptors, P message, C connection)`
    `void` | `setAnycastPrefix(String anycastPrefix)`
    `void` | `setMulticastPrefix(String multicastPrefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.spi.core.protocol.ProtocolManager

      `acceptsNoHandshake, addChannelHandlers, createConnectionEntry, getFactory, handleBuffer, handshake, isProtocol, removeHandler, updateInterceptors, websocketSubprotocolIdentifiers`

- - ### Constructor Detail

    - #### AbstractProtocolManager

          public AbstractProtocolManager()

  - ### Method Detail

    - #### invokeInterceptors

          protected void invokeInterceptors(List<I> interceptors,
                                            P message,
                                            C connection)

    - #### setAnycastPrefix

          public void setAnycastPrefix(String anycastPrefix)

      Specified by:
        `setAnycastPrefix` in interface `ProtocolManager<I extends BaseInterceptor<P>>`

    - #### setMulticastPrefix

          public void setMulticastPrefix(String multicastPrefix)

      Specified by:
        `setMulticastPrefix` in interface `ProtocolManager<I extends BaseInterceptor<P>>`

    - #### getPrefixes

          public Map<SimpleString,RoutingType> getPrefixes()

      Specified by:
        `getPrefixes` in interface `ProtocolManager<I extends BaseInterceptor<P>>`

Copyright © 2017 The Apache Software Foundation. All rights reserved.